# 🚀 Django Kickstart

A **CLI tool** that helps you set up Django projects quickly and efficiently with options like **Django REST Framework**, **PostgreSQL**, and **Django Channels**.

## ✨ Features

- **Interactive CLI** for project creation
- Supports **Django + REST Framework**
- **PostgreSQL configuration** with prompts
- **Django Channels support** for real-time WebSockets
- Auto-generates **base templates** with TailwindCSS
- **Follows best practices** for Django project structure

## 🚀 Installation

Install Django Kickstart via pip:

```bash
pip install kickstart-django-cli
```

## 🚀 Usage

Run the CLI tool and follow the interactive prompts to configure your Django project:

```bash
kickstart-django
```

## ⚙️ Project Types Supported

| Type                   | Description                               |
| ---------------------- | ----------------------------------------- |
| Basic Django           | Standard Django setup                     |
| Django + Postgres      | Django with PostgreSQL database           |
| Django + RestFramework | Django with Django REST Framework         |
| Django + Channels      | Django with WebSockets for real-time apps |

## 📜 License

This project is licensed under the **MIT License**.

## 🛠 Contributing

Contributions are welcome! Feel free to submit a pull request or open an issue on [GitHub](https://github.com/remithrn/django-kickstart-cli).

---

## 📝 License

This project is licensed under the **MIT License** - see the [LICENSE](./LICENSE) file for details.

---

Happy coding! 🚀
